Bug 842057 - Process /usr/libexec/tracker-miner-fs was killed by signal 11 (SIGSEGV)
Process /usr/libexec/tracker-miner-fs was killed by signal 11 (SIGSEGV)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-21 09:46 EDT by oliver.zemann
Modified: 2013-07-31 19:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:03:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description oliver.zemann 2012-07-21 09:46:39 EDT
Description of problem:
tracker just crashed

Version-Release number of selected component (if applicable):
dont know

How reproducible:
it just crashed, now idea why

Steps to Reproduce:
1. no idea
2.
3.
  
Actual results:
-

Expected results:
-

Additional info:

command line:
/usr/libexec/tracker-miner-fs

environ:
XDG_VTNR=1
XDG_SESSION_ID=2
HOSTNAME=lucy2
IMSETTINGS_INTEGRATE_DESKTOP=yes
SHELL=/bin/bash
TERM=dumb
HISTSIZE=1000
GNOME_KEYRING_CONTROL=/run/user/oli/keyring-qbdBRK
QT_GRAPHICSSYSTEM_CHECKED=1
IMSETTINGS_MODULE=none
USER=oli

MAIL=/var/spool/mail/oli
PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/oli/.local/bin:/home/oli/bin
DESKTOP_SESSION=gnome
QT_IM_MODULE=xim
PWD=/home/oli
XMODIFIERS=@im=none
GNOME_KEYRING_PID=856
LANG=de_DE.utf8
GDM_LANG=de_DE.utf8
GDMSESSION=gnome
HISTCONTROL=ignoredups
XDG_SEAT=seat0
HOME=/home/oli
SHLVL=1
LOGNAME=oli
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-vNhAjHgHQ3,guid=17cde0e92b2556b14d112e5a0000001c
'LESSOPEN=||/usr/bin/lesspipe.sh %s'
WINDOWPATH=1
XDG_RUNTIME_DIR=/run/user/oli
DISPLAY=:0
XAUTHORITY=/var/run/gdm/auth-for-oli-J2ymO9/database
_=/usr/bin/gnome-session
GNOME_DESKTOP_SESSION_ID=this-is-deprecated
SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/860,unix/unix:/tmp/.ICE-unix/860
GPG_AGENT_INFO=/run/user/oli/keyring-qbdBRK/gpg:0:1
SSH_AUTH_SOCK=/run/user/oli/keyring-qbdBRK/ssh
LC_TIME=de_DE.utf8
LC_NUMERIC=de_DE.utf8
LC_MONETARY=de_DE.utf8
LC_MEASUREMENT=de_DE.utf8
DESKTOP_AUTOSTART_ID=10e7ef7284a153c5a1134285334910960700000008600013


the backtrace which should be "unusable" regarding the abrt dialog:

warning: core file may not match specified executable file.
[New LWP 1102]
[New LWP 1118]
[New LWP 1107]
warning: Could not load shared library symbols for *Zx)
.
Do you need "set solib-search-path" or "set sysroot"?
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib64/librt-2.15.so.debug" does not match "/lib64/librt.so.1" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib64/libm-2.15.so.debug" does not match "/lib64/libm.so.6" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib64/libpthread-2.15.so.debug" does not match "/lib64/libpthread.so.0" (CRC mismatch).

[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib64/libc-2.15.so.debug" does not match "/lib64/libc.so.6" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib64/libdl-2.15.so.debug" does not match "/lib64/libdl.so.2" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib64/libresolv-2.15.so.debug" does not match "/lib64/libresolv.so.2" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib64/ld-2.15.so.debug" does not match "/lib64/ld-linux-x86-64.so.2" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib64/libnss_files-2.15.so.debug" does not match "/lib64/libnss_files.so.2" (CRC mismatch).

warning: the debug information found in "/var/cache/abrt-di/usr/lib/debug//lib64/libutil-2.15.so.debug" does not match "/lib64/libutil.so.1" (CRC mismatch).

Core was generated by `/usr/libexec/tracker-miner-fs'.
Program terminated with signal 11, Segmentation fault.
#0  0x000000311942193e in tracker_task_pool_find (pool=0x186cd90, file=0x2088920) at tracker-task-pool.c:284
284	tracker-task-pool.c: No such file or directory.

Thread 3 (Thread 0x7f06847d9700 (LWP 1107)):
#0  0x0000003ce50e8eef in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000003ce6c479b4 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003ce6c47e12 in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00007f0684a00b0b in dconf_context_thread (data=0x1878960) at dconfcontext.c:11
        context = 0x1878960
        loop = <optimized out>
        __PRETTY_FUNCTION__ = "dconf_context_thread"
#4  0x0000003ce6c6a345 in g_thread_error_quark () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 0x7f0683daf700 (LWP 1118)):
#0  0x0000003ce50e8eef in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000003ce6c479b4 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003ce6c47e12 in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x0000003ce84c9266 in ?? () from /lib64/libgio-2.0.so.0
No symbol table info available.
#4  0xb97b0637915f7b22 in ?? ()
No symbol table info available.
#5  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 0x7f068b09a840 (LWP 1102)):
#0  0x000000311942193e in tracker_task_pool_find (pool=0x186cd90, file=0x2088920) at tracker-task-pool.c:284
        __inst = 0x2088920
        __t = 25712736
        __r = <optimized out>
        _g_boolean_var_ = <optimized out>
        priv = <optimized out>
        __PRETTY_FUNCTION__ = "tracker_task_pool_find"
#1  0x000000311941383b in should_wait (fs=0x188b040, file=0x2088920) at tracker-miner-fs.c:1704
No locals.
#2  0x0000003119413e71 in item_queue_get_next_file (priority_out=<synthetic pointer>, source_file=<synthetic pointer>, file=<synthetic pointer>, fs=0x188b040) at tracker-miner-fs.c:1786
        data = <optimized out>
        wdata = 0x0
        queue_file = 0x2088920
        priority = 0
#3  item_queue_handlers_cb (user_data=0x188b040) at tracker-miner-fs.c:2015
        fs = 0x188b040
        file = 0x0
        source_file = 0x0
        parent = <optimized out>
        queue = QUEUE_NONE
        time_now = {tv_sec = 140734267996832, tv_usec = 1}
        time_last = {tv_sec = 1342876599, tv_usec = 38354}
        keep_processing = 1
        priority = 0
        __PRETTY_FUNCTION__ = "item_queue_handlers_cb"
#4  0x0000003ce6c476e5 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x0000003ce6c47a18 in g_main_context_pending () from /lib64/libglib-2.0.so.0
No symbol table info available.
#6  0x00000000018771d0 in ?? ()
No symbol table info available.
#7  0x000000000188b040 in ?? ()
No symbol table info available.
#8  0x000000000198e030 in ?? ()
No symbol table info available.
#9  0x00000000018882b0 in ?? ()
No symbol table info available.
#10 0x0000000000000001 in ?? ()
No symbol table info available.
#11 0x0000000000000000 in ?? ()
No symbol table info available.
From                To                  Syms Read   Shared Object Library
0x000000311940b380  0x0000003119424798  Yes         /lib64/libtracker-miner-0.14.so.0
0x00000036fcc05d80  0x00000036fcc172c8  Yes         /lib64/libtracker-sparql-0.14.so.0
0x00000036fa4060e0  0x00000036fa40db14  Yes         /lib64/libtracker-extract-0.14.so.0
0x00000036fd016240  0x00000036fd06ccbc  Yes         /usr/lib64/tracker-0.14/libtracker-data.so.0
0x0000003cfbc12e00  0x0000003cfbc239e8  Yes         /usr/lib64/tracker-0.14/libtracker-common.so.0
0x0000003ce842eee0  0x0000003ce84eaa84  Yes (*)     /lib64/libgio-2.0.so.0
0x0000003ce80010f0  0x0000003ce8001fd8  Yes (*)     /lib64/libgmodule-2.0.so.0
0x0000003ce5c02260  0x0000003ce5c0554c  Yes (*)     /lib64/librt.so.1
0x0000003ce6401f50  0x0000003ce640e648  Yes         /lib64/libz.so.1
0x00000036fc803d10  0x00000036fc80bdb8  Yes         /lib64/libupower-glib.so.1
0x0000003ce780a910  0x0000003ce7837dbc  Yes (*)     /lib64/libgobject-2.0.so.0
0x0000003ce6c19b70  0x0000003ce6cac74c  Yes (*)     /lib64/libglib-2.0.so.0
0x0000003cf1c5baf0  0x0000003cf1cc13ab  Yes         /lib64/libstdc++.so.6
0x0000003ce60055f0  0x0000003ce606ca4c  Yes (*)     /lib64/libm.so.6
0x0000003ce98029d0  0x0000003ce9812148  Yes         /lib64/libgcc_s.so.1
0x0000003ce5405790  0x0000003ce5410494  Yes (*)     /lib64/libpthread.so.0
0x0000003ce501ef60  0x0000003ce515faa0  Yes (*)     /lib64/libc.so.6
0x0000003cf5007960  0x0000003cf50193b4  Yes         /lib64/libgnome-keyring.so.0
0x000000311ac0d120  0x000000311ac294dc  Yes         /lib64/libnm-glib.so.4
0x0000003cef00a4a0  0x0000003cef01b9e4  Yes         /lib64/libdbus-glib-1.so.2
0x0000003ce9c07760  0x0000003ce9c302b4  Yes         /lib64/libdbus-1.so.3
0x0000003cf440a2e0  0x0000003cf4486860  Yes         /lib64/libsqlite3.so.0
0x00000036fc410130  0x00000036fc445220  Yes         /lib64/libunistring.so.0
0x00000036f9c016d0  0x00000036f9c02d48  Yes         /lib64/libuuid.so.1
0x0000003cf4c10740  0x0000003cf4c222a4  Yes         /lib64/libexif.so.12
0x0000003ce8c039b0  0x0000003ce8c06a18  Yes         /lib64/libiptcdata.so.0
0x0000003cf643ade0  0x0000003cf64dc550  Yes         /lib64/libexempi.so.3
0x0000003ce900d200  0x0000003ce9012c24  Yes         /lib64/libenca.so.0
0x0000003ce7400680  0x0000003ce74007fc  Yes (*)     /lib64/libgthread-2.0.so.0
0x0000003ce7c01950  0x0000003ce7c060ec  Yes         /lib64/libffi.so.5
0x0000003ce5800ea0  0x0000003ce58019e0  Yes (*)     /lib64/libdl.so.2
0x0000003ce6805fc0  0x0000003ce6816768  Yes         /lib64/libselinux.so.1
0x0000003ce70029b0  0x0000003ce701121c  Yes (*)     /lib64/libresolv.so.2
0x0000003ce4c00b20  0x0000003ce4c1a319  Yes (*)     /lib64/ld-linux-x86-64.so.2
0x0000003cf0c07200  0x0000003cf0c52b48  Yes         /lib64/libgcrypt.so.11
0x000000311a0133c0  0x000000311a03b420  Yes         /lib64/libnm-util.so.2
0x0000003118409640  0x000000311842d070  Yes         /lib64/libssl3.so
0x0000003118009ca0  0x0000003118022200  Yes         /lib64/libsmime3.so
0x0000003117818ac0  0x00000031178fb794  Yes         /lib64/libnss3.so
0x0000003117c0aa30  0x0000003117c15af4  Yes         /lib64/libnssutil3.so
0x0000003117400fb0  0x0000003117401ef8  Yes         /lib64/libplds4.so
0x0000003116c014d0  0x0000003116c02bd4  Yes         /lib64/libplc4.so
0x000000311700d1f0  0x000000311702ca70  Yes         /lib64/libnspr4.so
0x0000003cf5803830  0x0000003cf580690c  Yes         /lib64/libgudev-1.0.so.0
0x0000003ceac03dd0  0x0000003ceac1cccc  Yes         /lib64/libexpat.so.1
0x0000003cf0800960  0x0000003cf0800ed8  Yes         /lib64/libgpg-error.so.0
0x0000003cf3002ef0  0x0000003cf300a2d6  Yes         /lib64/libudev.so.0
0x00007f06849fea30  0x00007f0684a01a18  Yes         /usr/lib64/gio/modules/libdconfsettings.so
0x00007f06847dc1b0  0x00007f06847e367c  Yes (*)     /lib64/libnss_files.so.2
0x00007f0683db8930  0x00007f0683dcff98  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
0x0000003cdd609310  0x0000003cdd612c9c  Yes         /lib64/libgvfscommon.so.0
0x0000003cdd203f20  0x0000003cdd2230cc  Yes         /lib64/libbluray.so.1
0x0000003cf9000ee0  0x0000003cf9001814  Yes (*)     /lib64/libutil.so.1
0x0000003dada2cbc0  0x0000003dadb0da74  Yes         /lib64/libxml2.so.2
0x00007f068334bce0  0x00007f0683354330  Yes         /usr/lib64/gio/modules/libgioremote-volume-monitor.so
                                        No          *Zx)

(*): Shared library is missing debugging information.
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x1885860	25712736
rbx            0x186cd90	25611664
rcx            0x33	51
rdx            0x2	2
rsi            0x1885860	25712736
rdi            0x186cd90	25611664
rbp            0x2088920	0x2088920
rsp            0x7fff400d39a0	0x7fff400d39a0
r8             0x1863ae0	25574112
r9             0x20	32
r10            0x0	0
r11            0x17	23
r12            0x0	0
r13            0x0	0
r14            0x2088920	34113824
r15            0x20c5bf0	34364400
rip            0x311942193e	0x311942193e <tracker_task_pool_find+110>
eflags         0x10202	[ IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function tracker_task_pool_find:
   0x00000031194218d0 <+0>:	push   %rbp
   0x00000031194218d1 <+1>:	mov    %rsi,%rbp
   0x00000031194218d4 <+4>:	push   %rbx
   0x00000031194218d5 <+5>:	mov    %rdi,%rbx
   0x00000031194218d8 <+8>:	sub    $0x8,%rsp
   0x00000031194218dc <+12>:	callq  0x3119421290 <tracker_task_pool_get_type>
   0x00000031194218e1 <+17>:	test   %rbx,%rbx
   0x00000031194218e4 <+20>:	je     0x3119421902 <tracker_task_pool_find+50>
   0x00000031194218e6 <+22>:	mov    (%rbx),%rdx
   0x00000031194218e9 <+25>:	test   %rdx,%rdx
   0x00000031194218ec <+28>:	je     0x31194218f3 <tracker_task_pool_find+35>
   0x00000031194218ee <+30>:	cmp    (%rdx),%rax
   0x00000031194218f1 <+33>:	je     0x3119421928 <tracker_task_pool_find+88>
   0x00000031194218f3 <+35>:	mov    %rax,%rsi
   0x00000031194218f6 <+38>:	mov    %rbx,%rdi
   0x00000031194218f9 <+41>:	callq  0x311940a950 <g_type_check_instance_is_a@plt>
   0x00000031194218fe <+46>:	test   %eax,%eax
   0x0000003119421900 <+48>:	jne    0x3119421928 <tracker_task_pool_find+88>
   0x0000003119421902 <+50>:	lea    0x97b1(%rip),%rdx        # 0x311942b0ba
   0x0000003119421909 <+57>:	lea    0x98f0(%rip),%rsi        # 0x311942b200 <__PRETTY_FUNCTION__.20796>
   0x0000003119421910 <+64>:	lea    0x2ec6(%rip),%rdi        # 0x31194247dd
   0x0000003119421917 <+71>:	callq  0x311940a710 <g_return_if_fail_warning@plt>
   0x000000311942191c <+76>:	add    $0x8,%rsp
   0x0000003119421920 <+80>:	xor    %eax,%eax
   0x0000003119421922 <+82>:	pop    %rbx
   0x0000003119421923 <+83>:	pop    %rbp
   0x0000003119421924 <+84>:	retq   
   0x0000003119421925 <+85>:	nopl   (%rax)
   0x0000003119421928 <+88>:	callq  0x311940ac80 <g_file_get_type@plt>
   0x000000311942192d <+93>:	test   %rbp,%rbp
   0x0000003119421930 <+96>:	mov    %rax,%rsi
   0x0000003119421933 <+99>:	je     0x311942194f <tracker_task_pool_find+127>
   0x0000003119421935 <+101>:	mov    0x0(%rbp),%rdx
   0x0000003119421939 <+105>:	test   %rdx,%rdx
   0x000000311942193c <+108>:	je     0x3119421943 <tracker_task_pool_find+115>
=> 0x000000311942193e <+110>:	cmp    (%rdx),%rsi
   0x0000003119421941 <+113>:	je     0x3119421978 <tracker_task_pool_find+168>
   0x0000003119421943 <+115>:	mov    %rbp,%rdi
   0x0000003119421946 <+118>:	callq  0x311940a950 <g_type_check_instance_is_a@plt>
   0x000000311942194b <+123>:	test   %eax,%eax
   0x000000311942194d <+125>:	jne    0x3119421978 <tracker_task_pool_find+168>
   0x000000311942194f <+127>:	lea    0x36af(%rip),%rdx        # 0x3119425005
   0x0000003119421956 <+134>:	lea    0x98a3(%rip),%rsi        # 0x311942b200 <__PRETTY_FUNCTION__.20796>
   0x000000311942195d <+141>:	lea    0x2e79(%rip),%rdi        # 0x31194247dd
   0x0000003119421964 <+148>:	callq  0x311940a710 <g_return_if_fail_warning@plt>
   0x0000003119421969 <+153>:	add    $0x8,%rsp
   0x000000311942196d <+157>:	xor    %eax,%eax
   0x000000311942196f <+159>:	pop    %rbx
   0x0000003119421970 <+160>:	pop    %rbp
   0x0000003119421971 <+161>:	retq   
   0x0000003119421972 <+162>:	nopw   0x0(%rax,%rax,1)
   0x0000003119421978 <+168>:	mov    0x18(%rbx),%rax
   0x000000311942197c <+172>:	mov    %rbp,%rsi
   0x000000311942197f <+175>:	mov    (%rax),%rdi
   0x0000003119421982 <+178>:	add    $0x8,%rsp
   0x0000003119421986 <+182>:	pop    %rbx
   0x0000003119421987 <+183>:	pop    %rbp
   0x0000003119421988 <+184>:	jmpq   0x311940ac60 <g_hash_table_lookup@plt>
End of assembler dump.
Comment 1 sxhlinux 2013-01-04 22:06:12 EST
Today when I login my fedora 17 , I find a core.1229 in my home directory(~./). When I use gdb to debug the core.1229, I get a message like bellow :

Missing separate debuginfo for the main executable file
Try: yum --disablerepo='*' --enablerepo='*-debug*' install /usr/lib/debug/.build-id/e1/1687e7d5d9d9f847381f4edde52f161af00c99
[New LWP 1229]
[New LWP 1280]
[New LWP 1619]
[New LWP 1288]
[New LWP 1622]
Core was generated by `/usr/libexec/tracker-miner-fs'.
Program terminated with signal 11, Segmentation fault.
#0  0x47d329e2 in ?? ()
(gdb) bt
#0  0x47d329e2 in ?? ()
#1  0x08c47094 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)
(gdb) 
 
I'm a new user, I hope somebody can tell me how to solve this problem !
Thanks very much !
Comment 2 Fedora End Of Life 2013-07-03 17:43:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 19:03:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.